function autoshowfigure(filename)

%
% read var.in
%
curr_ini = find_inisettings;

if (strcmp(curr_ini.graphicsfmt,'eps')==1)|(strcmp(curr_ini.graphicsfmt,'ps')==1)|(strcmp(curr_ini.graphicsfmt,'pdf')==1);
   graphviewer = curr_ini.epsviewer;
   if strcmp(curr_ini.graphicsfmt,'pdf')==1;
      if strcmp(strtrim(curr_ini.pdfviewer),'')==0;
         if appexist(curr_ini.pdfviewer)==1;
            graphviewer = curr_ini.pdfviewer;
         end;
      end;
   end;
elseif strcmp(curr_ini.graphicsfmt,'ai')==1;
   graphviewer = curr_ini.aiviewer;
else;
   if strcmp(curr_ini.graphicsfmt,'fig')==0;
      graphviewer = curr_ini.bitmapviewer;
   else;
      graphviewer = '';
   end;
end;

%
% appending the correct number to the file
%
k = 0;
i = 0;
while k<1;
   checkfile = [filename '-' num2str(i) '.' curr_ini.graphicsfmt];
   if fileexist(checkfile)==1;
      i = i+1;
   else;
      k = 1;
   end;
end;

filename = [filename '-' num2str(i-1) '.' curr_ini.graphicsfmt];

if strcmp(curr_ini.graphicsfmt,'fig')==0;
   program = [fix_filepath(graphviewer) ' ' fix_filepath(filename) ' &'];
   program = fixcmd(program);
   if ispc==1;
      dos(program);
      maximize_prog(filename,graphviewer);
   else;
      if isunix==1;
         unix(program);
      end;
   end;
else;
   openfig_fcn(filename);
end;
refresh;

%
% end of autoshowfigure.m
%
