function status = check_dvi(curr_ini)

status = 1;

if (isempty(curr_ini.latex)==0)&(isempty(curr_ini.dviviewer)==0);
   if (appexist(curr_ini.latex)==0)|(appexist(curr_ini.dviviewer)==0);
      return;
   else;
      %
      % make sure latex does not produce pdf
      %
      latex = getname(curr_ini.latex);
      if size(latex,2)>=5;
         if strcmp(lower(latex(1,1:3)),'pdf')==1;
            return;
         else;
            %
            % make sure latex includes latex in its filename
            %
            if isempty(findstr(lower(latex),'latex'))==1;
               return;
            else;
               status = 0;
            end;
         end;
      else;
         return;
      end;
   end;
end;


%
% end of check_dvi.m
%
