function out = fix_exp(in)

%
% makes sure that the exponent of the vector in does not have Inf values when in only has finite values
%
% NOTE: In matlab 5.3 exp(709) is finite while exp(710) = Inf.
%

%in = in-min(in);
if max(in)<=709;
   out = exp(in);
else;
   out = zeros(size(in));
   a = sort(in);
   d_index = [];
   for i=1:size(in,1);
      ch = a(i,1);
      pos = (1:1:size(in,1))*(in==a(i,1));
      val = max(in)-in(pos,1);
      if val<=709;
         if isempty(d_index)==0;
            k_index = setdiff((1:1:size(in,1)),d_index);
            b = in(k_index,1);
            b = b-min(b);
            out(k_index,1) = exp(b);
         else;
            out = in;
         end;
         break;
      else;
         d_index = [d_index;pos];
      end;
   end;
end;

%
% end of fix_exp.m
%
