function out = fixcmd(in)

%
% removes " &" from command line under Win9* and Win ME when
% the iscompiled variable has been set to unity, i.e. for
% stand-alone mode.
%

if ispc==1;
   if iscompiled==1;
      if iswinnt==0;
         out = in(1,1:size(in,2)-2);
      else;
         out = in;
      end;
   else;
      out = in;
   end;
   if iscompiled==1;
      out = ['bin\run_prog.exe ' out];
   end;
else;
   out = in;
end;

%
% end of fixcmd.m
%
