function [out,m_v,oldmodel_var] = main_opendeter_fcn(out,m_v,curr_ini,oldmodel_var,button_images,fig)

m_v.endofile = strtrim(get(out.endogenous,'String'));

if isempty(m_v.deterfile)==1;
   if strcmp(get(out.estimate,'Enable'),'off')==1;
      if matlabnumber>=6.0;
         file = {'*.txt;*.data;*.wk1;*.xls;*.mat;*.csv', 'Data Files (*.txt, *.data, *.wk1, *.xls, *.mat, *.csv)'; ...
              '*.txt;*.data', 'Text Files (*.txt, *.data)'; ...
              '*.mat', 'MatLab MAT Files (*.mat)'; ...
              '*.wk1', 'Lotus 1-2-3 Spreadsheets (*.wk1)'; ...
              '*.xls', 'Excel Spreadsheets (*.xls)'; ...
              '*.csv', 'Comma Separated Value Files (*.csv)'; ...
              '*.*', 'All Files (*.*)'};
      else;
         if (iscompiled==1)&(iswinnt==1)&(curr_ini.opendialog==1);
            basedir = pwd;
            file_fltr = 'Data Files (*.txt, *.data, *.wk1, *.mat, *.csv)|*.txt;*.data;*.wk1;*.mat;*.csv|Text Files (*.txt, *.data)|*.txt;*.data|MatLab MAT Files (*.mat)|*.mat|Lotus 1-2-3 Spreadsheets (*.wk1)|*.wk1|Comma Separated Value Files (*.csv)|*.csv|All Files (*.*)|*.*|';
            best_pos = 1;
            title_txt = 'Open';
         else;
            file = '*.txt;*.data;*.wk1;*.mat;*.csv';
         end;
      end;
   else;
      if matlabnumber>=6.0;
         file = [getpath(m_v.endofile) '*.txt;*.data;*.wk1;*.xls;*.mat;*.csv'];
      else;
         if (iscompiled==1)&(iswinnt==1)&(curr_ini.opendialog==1);
            basedir = getpath(m_v.endofile);
            file_fltr = 'Data Files (*.txt, *.data, *.wk1, *.mat, *.csv)|*.txt;*.data;*.wk1;*.mat;*.csv|Text Files (*.txt, *.data)|*.txt;*.data|MatLab MAT Files (*.mat)|*.mat|Lotus 1-2-3 Spreadsheets (*.wk1)|*.wk1|Comma Separated Value Files (*.csv)|*.csv|All Files (*.*)|*.*|';
            best_pos = 1;
            title_txt = 'Open';
         else;
            file = [getpath(m_v.endofile) '*.txt;*.data;*.wk1;*.mat;*.csv'];
         end;
      end;
   end;
else;
   if matlabnumber>=6.0;
      detertype = [upper(strrep(getext(m_v.deterfile),'.','')) ' Files (*' getext(m_v.deterfile) ')'];
      file = {['*' getext(m_v.deterfile)], detertype; ...
           '*.txt;*.data;*.wk1;*.xls;*.mat;*.csv', 'Data Files (*.txt, *.data, *.wk1, *.xls, *.mat, *.csv)'; ...
           '*.txt;*.data', 'Text Files (*.txt, *.data)'; ...
           '*.mat', 'MatLab MAT Files (*.mat)'; ...
           '*.wk1', 'Lotus 1-2-3 Spreadsheets (*.wk1)'; ...
           '*.xls', 'Excel Spreadsheets (*.xls)'; ...
           '*.csv', 'Comma Separated Value Files (*.csv)'; ...
           '*.*', 'All Files (*.*)'};
   else;
      if (iscompiled==1)&(iswinnt==1)&(curr_ini.opendialog==1);
         basedir = getpath(m_v.deterfile);
         file_fltr = 'Data Files (*.txt, *.data, *.wk1, *.mat, *.csv)|*.txt;*.data;*.wk1;*.mat;*.csv|Text Files (*.txt, *.data)|*.txt;*.data|MatLab MAT Files (*.mat)|*.mat|Lotus 1-2-3 Spreadsheets (*.wk1)|*.wk1|Comma Separated Value Files (*.csv)|*.csv|All Files (*.*)|*.*|';
         best_pos = 1;
         title_txt = 'Open';
      else;
         file = m_v.deterfile;
      end;
   end;
end;
if (iscompiled==1)&(iswinnt==1)&(curr_ini.opendialog==1)&(matlabnumber<6.0);
   [deterministic,deterpath] = fileopen(basedir,file_fltr,best_pos,title_txt);
else;
   if matlabnumber>=6;
      if strcmp(m_v.deterfile,'')==1;
         dfile = getpath(m_v.endofile);
      else;
         dfile = m_v.deterfile;
      end;
      [deterministic,deterpath] = uigetfile(file,'Open',dfile);
   else;
      [deterministic,deterpath] = uigetfile(file,'Open');
   end;
end;
drawnow;
%
if (isnumeric(deterministic)==0)&((strcmp(m_v.deterfile,[deterpath deterministic])==0)|(strcmp(getext(deterministic),'.mat')==1)|(strcmp(getext(deterministic),'.xls')==1));
   [n,filestatus,dt,m_v.detersheet,action] = loaddata(strcat(deterpath,deterministic));
   if (filestatus==1)&((strcmp(m_v.detersheet,oldmodel_var.detersheet)==0)|(isempty(m_v.detersheet)==1));
      m_v.deterfile = strcat(deterpath,deterministic);
      set(out.deterministic,'String',m_v.deterfile);
      if (strcmp(m_v.deterfile,oldmodel_var.deterfile)==0)|(strcmp(m_v.detersheet,oldmodel_var.detersheet)==0);
         [newdeter,mystatus] = readnames(m_v.deterfile,m_v.detersheet);
         if mystatus==1;
            checkvars = get(out.deternames,'UserData');
            if strcmp(checkvars,newdeter)==0;
               m_v.deter = newdeter;
               oldmodel_var.deter = checkvars;
               set(out.deternames,'UserData',m_v.deter);
            end;
         else;
            if strcmp(m_v.deterfile,oldmodel_var.deterfile)==0;
               oldmodel_var.deter = m_v.deter;
               m_v.deter = '';
               set(out.deternames,'UserData',m_v.deter);
            end;
         end;
         set(out.store,'Enable','on');
         set(out.savemenu,'Enable','on');
      end;
      set(out.deternames,'Enable','on');
      set(out.deternamesmenu,'Enable','on');
      set(out.change_deternames,'Enable','on','CData',button_images.rename);
      if strcmp(strtrim(m_v.deter),'')==1;
         set(out.deterministictext,'String','Deterministic variables:  Not determined');
      else;
         set(out.deterministictext,'String',['Deterministic variables:  ' m_v.deter]);
      end;
      if isempty(m_v.detersheet)==1;
         set(out.detersheettext,'String','Data sheet: None');
      else;
         set(out.detersheettext,'String',['Data sheet: ' m_v.detersheet]);
      end;
      set(out.detergraphicsmenu,'Enable','on');
      set(fig,'UserData',out);
   elseif (filestatus==0)&(strcmp(action,'Cancel')==0);
      m_v.detersheet = oldmodel_var.detersheet;
      set(out.deterministic,'String',m_v.deterfile);
      set(fig,'UserData',out);
      if (matlabnumber<6.0)&(strcmp(getext(deterministic),'.xls')==1)&(iscompiled==0);
         txt = ['The file you selected, ' deterministic ', is an Excel spreadsheet. It cannot be read by this version of Matlab.'];
      elseif (matlabnumber<6.0)&(strcmp(getext(deterministic),'.xls')==1)&(iscompiled==1);
         txt = ['The file you selected, ' deterministic ', is an Excel spreadsheet. It cannot be read since the stand-alone release compilation was based on MatLab version ' matlabversion '.'];
      else;
         txt = ['The file you selected, ' deterministic ', does not contain any numeric data.'];
      end;
      about(txt,'error','Bad data...',120,400);
   elseif (filestatus==-1)&(strcmp(action,'Cancel')==0);
      txt = ['The file you selected, ' deterministic ', has missing observations.'];
      about(txt,'error','Bad data...',120,400);
   elseif strcmp(action,'Cancel')==1;
      m_v.detersheet = oldmodel_var.detersheet;
      set(out.deterministic,'String',m_v.deterfile);
      set(fig,'UserData',out);
   end;
end;
m_v.cointvalue = get(out.radiocoint,'Value');
m_v.newdeterselect(1,1) = get(out.uconstant,'Value');
m_v.newdeterselect(1,2) = get(out.rconstant,'Value');
m_v.newdeterselect(1,3) = get(out.utrend,'Value');
m_v.newdeterselect(1,4) = get(out.rtrend,'Value');
m_v.newmodeltype(1,1) = get(out.structural,'Value');
m_v.newmodeltype(1,2) = get(out.reduced,'Value');
m_v.newseasonal(1,1) = get(out.seasonal,'Value');
m_v.newseasonal(1,2) = get(out.noseasonal,'Value');
modeldesc = getmodeldesc(m_v);
set(out.text,'String',modeldesc);

%
% end of main_opendeter_fcn.m
%
