@ECHO OFF
rem
rem var -- batch script to run Structural VAR via MatLab under Windoze
rem
rem Copyright (c) 2001-2002 Anders Warne
rem
if "%OS%"=="Windows_NT" goto startnt
goto startopt
:startnt
title Structural VAR
:startopt
if "%1"=="--help" goto usage
if "%1"=="-h" goto usage
if "%1"=="--version" goto version
if "%1"=="-v" goto version
rem
rem check for NT, XP, 2k
rem
if "%OS%"=="Windows_NT" goto nt
if "%1"=="" goto no9xinput
start matlab.exe -minimize -r runvar('%1')
goto end
:no9xinput
start matlab.exe -minimize -r var
goto end
:nt
if "%1"=="" goto nontinput
start /B matlab.exe -minimize -r runvar('%1')
goto end
:nontinput
start /B matlab.exe -minimize -r var
goto end
:usage
echo.
echo     Usage: var [options or inputfile]
echo.
echo     The input file must have the extension ".var"
echo.
echo     Options:
echo          -h, --help          Show this help screen
echo          -v, --version       Show version number
echo.
echo     Note that using a var-file for input is optional.
echo.
goto end
:version
echo.
echo     Structural VAR version 0.1
echo     Copyright (c) Anders Warne 2001-2002
echo.
:end
