function show_chow(fig_handle,beta,tm,curr_ini,ind,aind)

set(fig_handle,'Visible','off');
drawnow;
drawnow;
%
file_str = '';
if ind==1;
   file_str = 'rest-';
end;
realscrsz = get(0,'ScreenSize');
%
if (size(tm.restrict,2)==3)&(tm.restrict(1,3)==1);
   [my_fmat,lrmat,dff,dflr,fpmat,lrpmat,dstr,abort,chow_ss,chow_bp,df_ss,df_bp,chow_dates,from_to_vec,chow_ss_pval,chow_bp_pval] = chowft(tm.Z0,tm.Z1,tm.Z2,beta,tm.d,tm.dcoint,curr_ini.T0,tm.samplebeg,tm.sampleend,tm.freq,1,tm.modelfile,tm.modelsdir,aind,1,tm);
else;
   if aind==1;
      [my_fmat,lrmat,dff,dflr,fpmat,lrpmat,dstr,abort,chow_ss,chow_bp,df_ss,df_bp,chow_dates,from_to_vec,chow_ss_pval,chow_bp_pval] = chowft(tm.Z0,tm.Z1,tm.Z2,beta,tm.d,tm.dcoint,curr_ini.T0,tm.samplebeg,tm.sampleend,tm.freq,1,tm.modelfile,tm.modelsdir,1);
   else;
      [my_fmat,lrmat,dff,dflr,fpmat,lrpmat,dstr,abort,chow_ss,chow_bp,df_ss,df_bp,chow_dates,from_to_vec,chow_ss_pval,chow_bp_pval] = chowft(tm.Z0,tm.Z1,tm.Z2,beta,tm.d,tm.dcoint,curr_ini.T0,tm.samplebeg,tm.sampleend,tm.freq,1);
   end;
end;
%
plot_handles = [];
if isempty(my_fmat)==0;
   set(fig_handle,'Visible','on');
   drawnow;
   drawnow;
   if strcmp(abort,'cancel')==0;
      cbs_t = tm.cbs/100;
      critval_t = [];
      if curr_ini.sscorrect==0;
         critval_t = chisq_inv(cbs_t*ones(size(dflr,1),1),dflr);
      else;
         critval_t = fdist_inv(cbs_t*ones(size(dff,1),1),dff(:,1),dff(:,2));
      end;
      if curr_ini.colors==1;
         colorstr = 'b';
         colorstr2 = 'r';
         typestr = '-';
      else;
         colorstr = 'k';
         colorstr2 = [0.5 0.5 0.5];
         typestr = '--';
      end;
      %
      % setting up the actual sample period
      %
      dataindex = make_dataindex(tm.freq,tm.samplebeg,tm.sampleend);
      T1 = tm.T-size(critval_t,1);
      if isempty(chow_ss)==0;
         chow_dataindex = dataindex(min(from_to_vec):max(from_to_vec),:);
      end;
      dataindex = dataindex(T1:tm.T-1,:);
      thispos = [(realscrsz(3)-550)/2-22 (realscrsz(4)-360)/2+22];
      stats = [];
      file_names = '';
      for i=1:tm.n;
         thispos = [thispos(1,1)+22 thispos(1,2)-22];
         if thispos(1,1)>(realscrsz(3)-550);
            thispos = [0 realscrsz(4)-430];
         end;
         if thispos(1,2)>(realscrsz(4)-430);
            thispos = [0 realscrsz(4)-430];
         elseif thispos(1,2)<32;
            thispos = [0 realscrsz(4)-430];
         end;
         myplot = figure('Units','pixels', ...
            'Position',[thispos 550 360], ...
            'Menubar','none', ...
            'Toolbar','none', ...
            'NumberTitle','off', ...
            'Visible','off', ...
            'Name',['Recursive Chow Forecast Tests for ' strrep(tm.myvars(i,:),' ','')]);
         %
         % obey centering and filling defaults
         %
         setfigureproperties(myplot);
         %
         %
         % Setting up the plot
         %
         if curr_ini.sscorrect==0;
            if curr_ini.chowfc==1;
               lrmat(:,i) = lrmat(:,i)./critval_t;
               critval_n = ones(size(critval_t,1),1);
               mynorm = ' normalized';
            else;
               critval_n = critval_t;
               mynorm = '';
            end;
            plot(dataindex,lrmat(:,i),'-','LineWidth',1,'Color',colorstr,'Tag',['chow-lr-' strtrim(tm.myvars(i,:))]);
            hold('on');
            plot(dataindex,critval_n,typestr,'LineWidth',1,'Color',colorstr2);
         else;
            if curr_ini.chowfc==1;
               my_fmat(:,i) = my_fmat(:,i)./critval_t;
               critval_n = ones(size(critval_t,1),1);
               mynorm = ' normalized';
            else;
               critval_n = critval_t;
               mynorm = '';
            end;
            plot(dataindex,my_fmat(:,i),'-','LineWidth',1,'Color',colorstr,'Tag',['chow-f-' strtrim(tm.myvars(i,:))]);
            hold('on');
            plot(dataindex,critval_n,typestr,'LineWidth',1,'Color',colorstr2);
         end;
         set(gca,'XLim',[dataindex(1,1) dataindex(size(critval_n,1),1)]);
         if curr_ini.sscorrect==0;
            set(gca,'YLim',[0 max(max([lrmat(:,i) critval_n(:,1)]))+0.5]);
            my_pos = 1;
            if (max(lrmat(size(critval_n,1),1),critval_n(size(critval_n,1),1)))>(max(lrmat(1,1),critval_n(1,1)));
               my_pos = 2;
            end;
            setaxesfonts('Title',['Chow 1-step ahead forecast LR-tests for ' strtrim(tm.myvars(i,:)) ' with ' num2str(tm.cbs) ' %' mynorm ' critical values']);
            myleg = legend_fcn('LR','cr. val.',my_pos);
         else;
            set(gca,'YLim',[0 max(max([my_fmat(:,i) critval_n(:,1)]))+0.5]);
            my_pos = 1;
            if (max(my_fmat(size(critval_n,1),1),critval_n(size(critval_n,1),1)))>(max(my_fmat(1,1),critval_n(1,1)));
               my_pos = 2;
            end;
            setaxesfonts('Title',['Chow 1-step ahead forecast F-tests for ' strtrim(tm.myvars(i,:)) ' with ' num2str(tm.cbs) ' %' mynorm ' critical values']);
            myleg = legend_fcn('F','cr. val.',my_pos);
         end;
         setaxesfonts(myleg);
         set(gca,'UserData',myleg);
         toolbar_fcn(gca);
         hold('off');
         if curr_ini.external==0;
            plot_handles = [plot_handles myplot];
         else;
            if curr_ini.sscorrect==0;
               file = [tm.outputdir 'chow-lr-' file_str strrep(tm.myvars(i,:),' ','') '-' num2str(tm.r)];
            else;
               file = [tm.outputdir 'chow-f-' file_str strrep(tm.myvars(i,:),' ','') '-' num2str(tm.r)];
            end;
            mstat = autosavefigure(myplot,file);
            stats = [stats mstat];
            file_names = strvcat(file_names,file);
         end;
      end;
      %
      % sample-split and break-point tests
      %
      if isempty(chow_ss)==0;
         thispos = [thispos(1,1)+22 thispos(1,2)-22];
         if thispos(1,1)>(realscrsz(3)-550);
            thispos = [0 realscrsz(4)-430];
         end;
         if thispos(1,2)>(realscrsz(4)-430);
            thispos = [0 realscrsz(4)-430];
         elseif thispos(1,2)<32;
            thispos = [0 realscrsz(4)-430];
         end;
         myplot = figure('Units','pixels', ...
            'Position',[thispos 550 360], ...
            'Menubar','none', ...
            'Toolbar','none', ...
            'NumberTitle','off', ...
            'Visible','off', ...
            'Name','Recursive Chow Sample-Split and Break Point Tests');
         %
         % obey centering and filling defaults
         %
         setfigureproperties(myplot);
         %
         % adjusting the sample-split test data if we have to
         %
         critval_ss = chisq_inv(cbs_t*ones(size(chow_ss,1),1),df_ss);
         critval_bp = fdist_inv(cbs_t*ones(size(chow_bp,1),1),df_bp(:,1),df_bp(:,2));
         if curr_ini.chowfc==1;
            chow_ss = chow_ss./critval_ss;
            critval_nss = ones(size(critval_ss,1),1);
            chow_bp = chow_bp./critval_bp;
            critval_nbp = ones(size(critval_bp,1),1);
            mynorm = ' normalized';
         else;
            critval_nss = critval_ss;
            critval_nbp = critval_bp;
            mynorm = '';
         end;
         %
         subplot(2,1,1);
         plot(chow_dataindex,chow_ss,'-','LineWidth',1,'Color',colorstr,'Tag','chow-sample-split');
         hold('on');
         plot(chow_dataindex,critval_nss,typestr,'LineWidth',1,'Color',colorstr2);
         set(gca,'XLim',[chow_dataindex(1,1) chow_dataindex(size(critval_nss,1),1)]);
         set(gca,'YLim',[0 max(max([chow_ss critval_nss]))+0.5]);
         setaxesfonts('Title',['Chow sample-split tests for system with ' num2str(tm.cbs) ' %' mynorm ' critical values']);
         myleg = legend_fcn('Sample-Split','cr. val.',1);
         setaxesfonts(myleg);
         set(gca,'UserData',myleg);
         axeshandles = gca;
         hold('off');
         %
         subplot(2,1,2);
         plot(chow_dataindex,chow_bp,'-','LineWidth',1,'Color',colorstr,'Tag','chow-break-point');
         hold('on');
         plot(chow_dataindex,critval_nbp,typestr,'LineWidth',1,'Color',colorstr2);
         set(gca,'XLim',[chow_dataindex(1,1) chow_dataindex(size(critval_nbp,1),1)]);
         set(gca,'YLim',[0 max(max([chow_bp critval_nbp]))+0.5]);
         setaxesfonts('Title',['Chow break-point F-tests for system with ' num2str(tm.cbs) ' %' mynorm ' critical values']);
         myleg = legend_fcn('F','cr. val.',1);
         setaxesfonts(myleg);
         set(gca,'UserData',myleg);
         axeshandles = [axeshandles gca];
         hold('off');
         toolbar_fcn(axeshandles);
         if curr_ini.external==0;
            plot_handles = [plot_handles myplot];
         else;
            file = [tm.outputdir 'chow-ssbp-' file_str num2str(tm.n) '.' num2str(tm.r)];
            mstat = autosavefigure(myplot,file);
            stats = [stats mstat];
            file_names = strvcat(file_names,file);
         end;
      end;
      %
      %
      if (curr_ini.external==1)&(isempty(stats)==0);
         for i=1:size(stats,2);
            if stats(i)==0;
               autoshowfigure(strtrim(file_names(i,:)));
            end;
         end;
      elseif curr_ini.external==0;
         for i=1:size(plot_handles,2);
            set(plot_handles(1,i),'Visible','on');
         end;
      end;
   end;
else;
   drawnow;
   txt = 'There are too few observations to estimate parameters recursively.';
   about(txt,'information','Recursions...',120,350);
   set(fig_handle,'Visible','on');
   drawnow;
end;

%
% end of show_chow.m
%
