function [out,m_v,curr_ini,oldmodel_var] = main_open_fcn(out,m_v,curr_ini,oldmodel_var,button_images,fig)

m_v.endofile = strtrim(get(out.endogenous,'String'));

if strcmp(m_v.endofile,pwd)==1;
   if matlabnumber>=6.0;
      file = {'*.txt;*.data;*.wk1;*.xls;*.mat;*.csv', 'Data Files (*.txt, *.data, *.wk1, *.xls, *.mat, *.csv)'; ...
              '*.txt;*.data', 'Text Files (*.txt, *.data)'; ...
              '*.mat', 'MatLab MAT Files (*.mat)'; ...
              '*.wk1', 'Lotus 1-2-3 Spreadsheets (*.wk1)'; ...
              '*.xls', 'Excel Spreadsheets (*.xls)'; ...
              '*.csv', 'Comma Separated Value Files (*.csv)'; ...
              '*.*', 'All Files (*.*)'};
   else;
      if (iscompiled==1)&(iswinnt==1)&(curr_ini.opendialog==1);
         basedir = [pwd '\'];
         file_fltr = 'Data Files (*.txt, *.data, *.wk1, *.mat, *.csv)|*.txt;*.data;*.wk1;*.mat;*.csv|Text Files (*.txt, *.data)|*.txt;*.data|MatLab MAT Files (*.mat)|*.mat|Lotus 1-2-3 Spreadsheets (*.wk1)|*.wk1|Comma Separated Value Files (*.csv)|*.csv|All Files (*.*)|*.*|';
         best_pos = 1;
         title_txt = 'Open';
      else;
         file = '*.txt;*.data;*.wk1;*.mat;*.csv';
      end;
   end;
else;
   if matlabnumber>=6.0;
      endotype = [upper(strrep(getext(m_v.endofile),'.','')) ' Files (*' getext(m_v.endofile) ')'];
      file = {['*' getext(m_v.endofile)], endotype; ...
              '*.txt;*.data;*.wk1;*.xls;*.mat;*.csv', 'Data Files (*.txt, *.data, *.wk1, *.xls, *.mat, *.csv)'; ...
              '*.txt;*.data', 'Text Files (*.txt, *.data)'; ...
              '*.mat', 'MatLab MAT Files (*.mat)'; ...
              '*.wk1', 'Lotus 1-2-3 Spreadsheets (*.wk1)'; ...
              '*.xls', 'Excel Spreadsheets (*.xls)'; ...
              '*.csv', 'Comma Separated Value Files (*.csv)'; ...
              '*.*', 'All Files (*.*)'};
   else;
      if (iscompiled==1)&(iswinnt==1)&(curr_ini.opendialog==1);
         basedir = getpath(m_v.endofile);
         file_fltr = 'Data Files (*.txt, *.data, *.wk1, *.mat, *.csv)|*.txt;*.data;*.wk1;*.mat;*.csv|Text Files (*.txt, *.data)|*.txt;*.data|MatLab MAT Files (*.mat)|*.mat|Lotus 1-2-3 Spreadsheets (*.wk1)|*.wk1|Comma Separated Value Files (*.csv)|*.csv|All Files (*.*)|*.*|';
         best_pos = 1;
         title_txt = 'Open';
      else;
         file = m_v.endofile;
      end;
   end;
end;
if (iscompiled==1)&(iswinnt==1)&(curr_ini.opendialog==1)&(matlabnumber<6.0);
   [endogenous,endopath] = fileopen(basedir,file_fltr,best_pos,title_txt);
else;
   if matlabnumber>=6;
      if strcmp(m_v.endofile,'')==1;
         if ispc==1;
            dfile = [pwd '\'];
         else;
            dfile = [pwd '/'];
         end;
      else;
         dfile = m_v.endofile;
      end;
      [endogenous,endopath] = uigetfile(file,'Open',dfile);
   else;
      [endogenous,endopath] = uigetfile(file,'Open');
   end;
end;
drawnow;
%
if (isnumeric(endogenous)==0)&((strcmp(m_v.endofile,[endopath endogenous])==0)|(strcmp(getext(endogenous),'.mat')==1)|(strcmp(getext(endogenous),'.xls')==1));
   [n,filestatus,dtstr,m_v.endosheet,action] = loaddata(strcat(endopath,endogenous));
   if (filestatus==1)&((strcmp(m_v.endosheet,oldmodel_var.endosheet)==0)|(isempty(m_v.endosheet)==1));
      m_v.endofile = strcat(endopath,endogenous);
      if (strcmp(endopath(1,size(endopath,2)),'\')==1)|(strcmp(endopath(1,size(endopath,2)),'/')==1);
         m_v.modelsdir = endopath(1,1:size(endopath,2)-1);
      else;
         m_v.modelsdir = endopath;
      end;
      mypwd = pwd;
      if strcmp(mypwd(1,1),'/')==1;
         if curr_ini.dirstructure==1;
            resappend = '/';
            modappend = '/';
         else;
            resappend = '/results/';
            modappend = '/models/';
         end;
      else;
         if curr_ini.dirstructure==1;
            resappend = '\';
            modappend = '\';
         else;
            resappend = '\results\';
            modappend = '\models\';
         end;
      end;
      if curr_ini.dirstructure==1;
         m_v.basedir = m_v.modelsdir;
      else;
         m_v.basedir = getpath(m_v.modelsdir);
         if (strcmp(m_v.basedir(1,size(m_v.basedir,2)),'\')==1)|(strcmp(m_v.basedir(1,size(m_v.basedir,2)),'/')==1);
            m_v.basedir = m_v.basedir(1,1:size(m_v.basedir,2)-1);
         end;
%         numchar = size(m_v.modelsdir,2);
%         for i=1:numchar;
%            i1 = numchar+1-i;
%            if m_v.modelsdir(1,i1)=='\';
%               m_v.basedir = m_v.modelsdir(1,1:i1-1);
%               break;
%            elseif m_v.modelsdir(1,i1)=='/';
%               m_v.basedir = m_v.modelsdir(1,1:i1-1);
%               break;
%            else;
%               if i==numchar;
%                  m_v.basedir = m_v.modelsdir(1,1:i1-1);
%               end;
%            end;
%         end;
      end;
      resultsdir = strcat(m_v.basedir,resappend);
      m_v.modelsdir = strcat(m_v.basedir,modappend);
      if curr_ini.dirstructure==1;
         status = 2;
      else;
         if direxist(resultsdir)==0;
            status = makedirs(resultsdir,0);
         else;
            status = 2;
         end;
      end;
%      if status>0;
%         m_v.outputdir = resultsdir;
%         m_v.outputfile = strcat(resultsdir,['output-' getname(m_v.endofile) '.txt']);
%      end;
      set(out.endogenous,'String',m_v.endofile);
      m_v.exo1file = '';
      m_v.exo0file = '';
      m_v.deterfile = '';
      m_v.exo1sheet = '';
      m_v.exo0sheet = '';
      m_v.detersheet = '';
      %
      if isempty(m_v.endosheet)==1;
         set(out.endosheettext,'String','Data sheet: None');
      else;
         set(out.endosheettext,'String',['Data sheet: ' m_v.endosheet]);
      end;
      if isempty(m_v.exo1sheet)==1;
         set(out.exo1sheettext,'String','Data sheet: None');
      else;
         set(out.exo1sheettext,'String',['Data sheet: ' m_v.exo1sheet]);
      end;
      if isempty(m_v.exo0sheet)==1;
         set(out.exo0sheettext,'String','Data sheet: None');
      else;
         set(out.exo0sheettext,'String',['Data sheet: ' m_v.exo0sheet]);
      end;
      if isempty(m_v.detersheet)==1;
         set(out.detersheettext,'String','Data sheet: None');
      else;
         set(out.detersheettext,'String',['Data sheet: ' m_v.detersheet]);
      end;
      %
      set(out.exogenous1,'String','');
      set(out.exogenous0,'String','');
      set(out.deterministic,'String','');
      set(out.exo1namesmenu,'Enable','off');
      set(out.change_exo1names,'Enable','off','CData',button_images.renamedisable);
      set(out.exogenous1text,'String','Exogenous I(1) variables:  None');
      set(out.exo0namesmenu,'Enable','off');
      set(out.change_exo0names,'Enable','off','CData',button_images.renamedisable);
      set(out.exogenous0text,'String','Exogenous I(0) variables:  None');
      set(out.deternamesmenu,'Enable','off');
      set(out.change_deternames,'Enable','off','CData',button_images.renamedisable);
      set(out.deterministictext,'String','Deterministic variables:  None');
      set(out.exo1graphicsmenu,'Enable','off');
      set(out.exo0graphicsmenu,'Enable','off');
      set(out.detergraphicsmenu,'Enable','off');
      set(out.exo1names,'Enable','off','UserData','');
      set(out.exo0names,'Enable','off','UserData','');
      set(out.deternames,'Enable','off','UserData','');
      set(out.exo1menu,'Enable','on');
      set(out.exo0menu,'Enable','on');
      set(out.determenu,'Enable','on');
      set(out.exogenous1text,'Enable','on');
      if strcmp(get(out.exogenous1,'Type'),'uicontrol')==1;
         set(out.exogenous1,'Enable','on','BackgroundColor',[1 1 1]);
      else;
         editbox(out.exogenous1,'Enable','on','BackgroundColor',[1 1 1]);
      end;
      set(out.exo1button,'Enable','on','CData',button_images.browse);
      set(out.exogenous0text,'Enable','on');
      if strcmp(get(out.exogenous0,'Type'),'uicontrol')==1;
         set(out.exogenous0,'Enable','on','BackgroundColor',[1 1 1]);
      else;
         editbox(out.exogenous0,'Enable','on','BackgroundColor',[1 1 1]);
      end;
      set(out.exo0button,'Enable','on','CData',button_images.browse);
      set(out.deterministictext,'Enable','on');
      if strcmp(get(out.deterministic,'Type'),'uicontrol')==1;
         set(out.deterministic,'Enable','on','BackgroundColor',[1 1 1]);
      else;
         editbox(out.deterministic,'Enable','on','BackgroundColor',[1 1 1]);
      end;
      set(out.deterbutton,'Enable','on','CData',button_images.browse);
      [newevars,mystatus] = readnames(m_v.endofile,m_v.endosheet);
      if mystatus==1;
         checkvars = get(out.endonames,'UserData');
         if strcmp(checkvars,newevars)==0;
            m_v.evars = newevars;
            oldmodel_var.evars = checkvars;
            set(out.endonames,'UserData',m_v.evars);
         end;
      else;
         if strcmp(m_v.endofile,oldmodel_var.endofile)==0;
            oldmodel_var.evars = m_v.evars;
            m_v.evars = '';
            set(out.endonames,'UserData',m_v.evars);
         end;
      end;
      if direxist(resultsdir)==1;
%      if status>0;
         m_v.outputdir = resultsdir;
         m_v.outputfile = strcat(resultsdir,['output-' getname(m_v.endofile) '.txt']);
         %
         set(out.outputfile,'String',m_v.outputfile);
         if strcmp(mypwd(1,1),'/')==1;
            m_v.inputfile = strcat(m_v.basedir,['/' getname(m_v.endofile) '.var']);
         else;
            m_v.inputfile = strcat(m_v.basedir,['\' getname(m_v.endofile) '.var']);
         end;
         set(out.open,'UserData',m_v.inputfile);
         m_v.nameinput = ' - model.var';
         set(fig,'Name',['Structural VAR - ' getname(m_v.endofile) '.var']);
      end;
      if strcmp(getpath(m_v.outputfile),getpath(oldmodel_var.outputfile))==0;
         m_v.newoutputpath = 1;
      end;
      %
      if isempty(dtstr)==0;
         dtnum = mystr2num(dtstr);
         [n1 n2] = size(dtnum);
         if n2>n1;
            dtnum = dtnum';
            [n1 n2] = size(dtnum);
         end;
         if n2==1;
            %
            % we're dealing with yearly data
            %
            dtnum = [dtnum ones(n1,1)];
            n2 = 2;
         end;
         if n2==2;
            if max(dtnum(:,2))==12;
               m_v.freq = 'm';
            elseif max(dtnum(:,2))==4;
               m_v.freq = 'q';
            else;
               m_v.freq = '';
            end;
            if isnumeric(dtnum(1,1))==1;
               set(out.beginyear,'String',num2str(dtnum(1,1),'%1.0f'));
               set(out.subbeginyear,'String',num2str(dtnum(1,1),'%1.0f'));
            end;
            if isnumeric(dtnum(1,2))==1;
               set(out.beginperiod,'String',num2str(dtnum(1,2),'%1.0f'));
               set(out.subbeginperiod,'String',num2str(dtnum(1,2),'%1.0f'));
            end;
            if isnumeric(dtnum(n1,1))==1;
               set(out.endyear,'String',num2str(dtnum(n1,1),'%1.0f'));
               set(out.subendyear,'String',num2str(dtnum(n1,1),'%1.0f'));
            end;
            if isnumeric(dtnum(n1,2))==1;
               set(out.endperiod,'String',num2str(dtnum(n1,2),'%1.0f'));
               set(out.subendperiod,'String',num2str(dtnum(n1,2),'%1.0f'));
            end;
            m_v.seasonal = [0 1];
            set(out.seasonal,'Enable','on','Value',0);
            set(out.noseasonal,'Enable','on','Value',1);
            if (strcmp(m_v.freq,'')==1)|(strcmp(m_v.freq,'y')==1);
               set(out.seasonal,'Enable','off');
               set(out.noseasonal,'Enable','off');
            end;
         else;
            m_v.freq = '';
            set(out.beginyear,'String','');
            set(out.subbeginyear,'String','');
            set(out.beginperiod,'String','');
            set(out.subbeginperiod,'String','');
            set(out.endyear,'String','');
            set(out.subendyear,'String','');
            set(out.endperiod,'String','');
            set(out.subendperiod,'String','');
            m_v.seasonal = [0 1];
            set(out.seasonal,'Enable','off','Value',0);
            set(out.noseasonal,'Enable','off','Value',1);
         end;
      else;
         m_v.freq = 'y';
         set(out.beginyear,'String','1');
         set(out.subbeginyear,'String','1');
         set(out.beginperiod,'String','1');
         set(out.subbeginperiod,'String','1');
         set(out.endyear,'String',num2str(max(size(n))));
         set(out.subendyear,'String',num2str(max(size(n))));
         set(out.endperiod,'String','1');
         set(out.subendperiod,'String','1');
         m_v.seasonal = [0 1];
         set(out.seasonal,'Enable','off','Value',0);
         set(out.noseasonal,'Enable','off','Value',1);
      end;
      set(out.seasonal,'UserData',m_v.freq);
      set(out.run,'Enable','on');
      if strcmp(strtrim(m_v.evars),'')==1;
         set(out.endogenoustext,'String','Endogenous variables:  Not determined');
      else;
         set(out.endogenoustext,'String',['Endogenous variables:  ' m_v.evars]);
      end;
      set(out.estimate,'Enable','on');
      set(out.model_select,'Enable','on');
      set(out.store,'Enable','on');
      set(out.savemenu,'Enable','on');
      set(out.endogenous,'UserData',m_v.modelsdir);
      set(out.endonames,'Enable','on');
      set(out.endonamesmenu,'Enable','on');
      set(out.change_endonames,'Enable','on','CData',button_images.rename);
      set(out.endographicsmenu,'Enable','on');
      set(out.beginyear,'Enable','on','BackgroundColor',[1 1 1]);
      set(out.beginperiod,'Enable','on','BackgroundColor',[1 1 1]);
      set(out.endyear,'Enable','on','BackgroundColor',[1 1 1]);
      set(out.endperiod,'Enable','on','BackgroundColor',[1 1 1]);
      set(out.subbeginyear,'Enable','on','BackgroundColor',[1 1 1]);
      set(out.subbeginperiod,'Enable','on','BackgroundColor',[1 1 1]);
      set(out.subendyear,'Enable','on','BackgroundColor',[1 1 1]);
      set(out.subendperiod,'Enable','on','BackgroundColor',[1 1 1]);
      set(out.sample,'Enable','on');
      set(out.subsample,'Enable','on');
      set(out.mypopup,'Enable','on');
      set(out.mypopuph,'Enable','on');
      set(out.mypopupc,'Enable','on');
      set(out.mypopuptext,'Enable','on');
      set(out.mypopuphtext,'Enable','on');
      set(out.mypopupctext,'Enable','on');
      set(out.radiocoint,'Enable','on');
      set(out.radionocoint,'Enable','on');
      set(out.serial,'Enable','on');
      set(out.arch,'Enable','on');
      set(out.normality,'Enable','on');
      set(out.constancy,'Enable','on');
      set(out.uconstant,'Enable','on');
      set(out.rconstant,'Enable','on');
      set(out.utrend,'Enable','on');
      set(out.rtrend,'Enable','on');
      set(out.structural,'Enable','on');
      set(out.reduced,'Enable','on');
      set(fig,'UserData',out);
      ud = get(out.statusbar,'UserData');
      ud.string = 'Ready';
      set(out.statusbar,'String','Ready','UserData',ud);
   elseif (filestatus==0)&(strcmp(action,'Cancel')==0);
      m_v.endosheet = oldmodel_var.endosheet;
      set(out.endogenous,'String',m_v.endofile);
      set(fig,'UserData',out);
      if (matlabnumber<6.0)&(strcmp(getext(endogenous),'.xls')==1)&(iscompiled==0);
         txt = ['The file you selected, ' endogenous ', is an Excel spreadsheet. It cannot be read by this version of Matlab.'];
      elseif (matlabnumber<6.0)&(strcmp(getext(endogenous),'.xls')==1)&(iscompiled==1);
         txt = ['The file you selected, ' endogenous ', is an Excel spreadsheet. It cannot be read since the stand-alone release compilation was based on MatLab version ' matlabversion '.'];
      else;
         txt = ['The file you selected, ' endogenous ', does not contain any numeric data.'];
      end;
      about(txt,'error','Bad data...',120,400);
   elseif (filestatus==-1)&(strcmp(action,'Cancel')==0);
      txt = ['The file you selected, ' endogenous ', has missing observations.'];
      about(txt,'error','Bad data...',120,400);
   elseif strcmp(action,'Cancel')==1;
      m_v.endosheet = oldmodel_var.endosheet;
      set(out.endogenous,'String',m_v.endofile);
      set(fig,'UserData',out);
   end;
   if fileexist(m_v.outputfile)==1;
      set(out.printpreview,'Enable','on');
      set(out.print,'Enable','on');
      set(out.printmenu,'Enable','on');
      set(out.printpreviewmenu,'Enable','on');
      if strcmp(curr_ini.editor,'')==0;
         set(out.editormenu,'Enable','on');
      else;
         set(out.editormenu,'Enable','off');
      end;
      if islatexformat(m_v.outputfile)==1;
         stat_dvi = check_dvi(curr_ini);
         if stat_dvi==0;
            set(out.dvimenu,'Enable','on');
         else;
            set(out.dvimenu,'Enable','off');
         end;
         [stat_ps,dvips] = check_ps(curr_ini);
         if stat_ps==0;
            set(out.psmenu,'Enable','on');
         else;
            set(out.psmenu,'Enable','off');
         end;
         [stat_pdf,prog_seq] = check_pdf(curr_ini);
         if stat_pdf==0;
            set(out.pdfmenu,'Enable','on');
         else;
            set(out.pdfmenu,'Enable','off');
         end;
      else;
         set(out.dvimenu,'Enable','off');
         set(out.psmenu,'Enable','off');
         set(out.pdfmenu,'Enable','off');
      end;
   else;
      set(out.printpreview,'Enable','off');
      set(out.print,'Enable','off');
      set(out.printmenu,'Enable','off');
      set(out.printpreviewmenu,'Enable','off');
      if strcmp(curr_ini.editor,'')==0;
         set(out.editormenu,'Enable','off');
      end;
      set(out.dvimenu,'Enable','off');
      set(out.psmenu,'Enable','off');
      set(out.pdfmenu,'Enable','off');
   end;
   m_v.cointvalue = get(out.radiocoint,'Value');
   m_v.nocointvalue = get(out.radionocoint,'Value');
   m_v.newdeterselect(1,1) = get(out.uconstant,'Value');
   m_v.newdeterselect(1,2) = get(out.rconstant,'Value');
   m_v.newdeterselect(1,3) = get(out.utrend,'Value');
   m_v.newdeterselect(1,4) = get(out.rtrend,'Value');
   m_v.newmodeltype(1,1) = get(out.structural,'Value');
   m_v.newmodeltype(1,2) = get(out.reduced,'Value');
   m_v.newseasonal(1,1) = get(out.seasonal,'Value');
   m_v.newseasonal(1,2) = get(out.noseasonal,'Value');
   m_v.beginyear = get(out.beginyear,'String');
   m_v.beginperiod = get(out.beginperiod,'String');
   m_v.endyear = get(out.endyear,'String');
   m_v.endperiod = get(out.endperiod,'String');
   m_v.subbeginyear = get(out.subbeginyear,'String');
   m_v.subbeginperiod = get(out.subbeginperiod,'String');
   m_v.subendyear = get(out.subendyear,'String');
   m_v.subendperiod = get(out.subendperiod,'String');
   m_v.newp = 1;
   m_v.lagexo = 0;
   m_v.shocks = '';
   set(out.mypopup,'Value',1);
   set(out.lagexo,'Enable','off','Value',1);
   set(out.lagexotext,'Enable','off');
   m_v.newh = 40;
   respstring = '1';
   for i=2:max(curr_ini.maxresp,m_v.newh);
      respstring = [respstring '|' num2str(i,'%0.0f')];
   end;
   set(out.mypopuph,'String',respstring,'Value',m_v.newh);
   m_v.newc = 46;
   set(out.mypopupc,'Value',46);
   modeldesc = getmodeldesc(m_v);
   set(out.text,'String',modeldesc);
end;

%
% end of main_open_fcn.m
%
