function out = mirrorimage(in)

%
% shifts the positions of an nxkx3 "matrix"
% based on the y axis.
%

b = size(in);

if size(b,2)==3;
   n = size(in,1);
   k = size(in,2);
   out = in;
   for m = 1:3;
      for i = 1:n;
         i0 = n-i+1;
         for j = 1:k;
            j0 = k-j+1;
            out(i0,j,m) = in(i,j,m);
         end;
      end;
   end;
else;
   out = in;
end;

%
% end of mirrorimage.m
%