function outstring = showbeta(A,str1,str2,tol);

curr_ini = find_inisettings;
if nargin<4;
   tol = ['%' num2str(8+curr_ini.decimals,'%0.0f') '.' num2str(curr_ini.decimals,'%0.0f') 'f'];
end;

namevector = vecstr(str1);
namevector2 = vecstr(str2);
if strcmp(str2,'')==0;
   namevector = strvcat(namevector,namevector2);
end;
[n r] = size(A);
for i = 1:n;
   for j = 1:r;
      if abs(A(i,j))<1.0e-008;
         A(i,j) = 0;
      end;
   end;
end;
if nargin<4;
   outstring = betastr(A);
else;
   outstring = betastr(A,tol);
end;
if nargin<4;
   outstring = strrowrep(outstring,namevector);
else;
   outstring = strrowrep(outstring,namevector,tol);
end;

s = size(outstring,1);

if nargin<4;
   for i=3:s-1;
      outstring(i,:) = strrep(outstring(i,:),' -1.0000','      -1');
      outstring(i,:) = strrep(outstring(i,:),' 1.0000','      1');
      outstring(i,:) = strrep(outstring(i,:),' 0.0000','      0');
      outstring(i,:) = strrep(outstring(i,:),' -0.0000','       0');
   end;
else;
   tol_val = floor(mystr2num(tol(1,size(tol,2)-1)));
   add_str = '.';
   fix_str = '';
   for i=1:tol_val;
      add_str = [add_str '0'];
      fix_str = [fix_str ' '];
   end;
   rem_1 = [' -1' add_str];
   rem_2 = [' 1' add_str];
   rem_3 = [' 0' add_str];
   rem_4 = [' -0' add_str];
   add_1 = [fix_str '  -1'];
   add_2 = [fix_str '  1'];
   add_3 = [fix_str '  0'];
   add_4 = [fix_str '   0'];
   for i=3:s-1;
      outstring(i,:) = strrep(outstring(i,:),rem_1,add_1);
      outstring(i,:) = strrep(outstring(i,:),rem_2,add_2);
      outstring(i,:) = strrep(outstring(i,:),rem_3,add_3);
      outstring(i,:) = strrep(outstring(i,:),rem_4,add_4);
   end;
end;

%
% end of showbeta.m
%