function fig_handle = view_fig_fcn(fig_file,mainfig)

fig_handle = [];

if strcmp(fig_file,'figure')==1;
%   curr_ini = find_inisettings;
   %
   % open a fig-file
   %
   figuredir = pwd;
   if ispc==1;
      figuredir = [figuredir '\'];
   else;
      figuredir = [figuredir '/'];
   end;
   if isempty(mainfig)==0;
      if ishandle(mainfig)==1;
         model = get(mainfig,'UserData');
         new_figuredir = get(model.outputfile,'String');
         new_figuredir = strtrim(new_figuredir);
         new_figuredir = getpath(new_figuredir);
         if strcmp(new_figuredir,'')==0;
            figuredir = new_figuredir;
         end;
      end;
   end;
   %
   % setting default file types
   %
   if matlabnumber>=6.0;
      file = cell(18,2);
      num = 1;
      file = {'*.fig', 'VAR Figure Files (*.fig)'};
      if num>0;
         file = file(1:num,:);
      end;
   else;
%      if (iscompiled==1)&(iswinnt==1)&(curr_ini.opendialog==1);
%         basedir = figuredir;
%         file_fltr = 'VAR Figure Files (*.fig)|*.fig|';
%         best_pos = 1;
%         title_txt = 'FigEditor - Open';
%      else;
         grfmt = '*.fig';
         file = [figuredir grfmt];
%      end;
   end;
%   if (iscompiled==1)&(iswinnt==1)&(curr_ini.opendialog==1)&(matlabnumber<6.0);
%      [graphfile,graphpath] = fileopen(basedir,file_fltr,best_pos,title_txt);
%   else;
      if matlabnumber>=6;
         [graphfile,graphpath] = uigetfile(file, 'FigEditor - Open',figuredir);
      else;
         [graphfile,graphpath] = uigetfile(file, 'FigEditor - Open');
      end;
%   end;
   drawnow;
   drawnow;
   if isnumeric(graphfile)==0;
      fig_file = strcat(graphpath,graphfile);
      if strcmp(lower(getext(fig_file)),'.fig')==0;
         return;
      end;
      fig_handle = showfig(fig_file);
   end;
else;
   %
   % open fig_file
   %
   fig_handle = showfig(fig_file);
end;

%
% end of view_fig_fcn.m
%
